Skip to content

EscrowType⁠

Perform various operations for Symitar parameters.

Operations⁠

getEscrowTypeSelectFields⁠

POST

Execute the persistent ParameterService getEscrowTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

EscrowTypeEscrowTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getEscrowTypeSelectFields
POST /nexum/627/persistent/parameter/getEscrowTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "EscrowTypeEscrowType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllEscrowTypeFields": true,
    "EscrowTypeFields": {
      "AdjustPaymentPortion": true,
      "CrEscDividendinPayoff": true,
      "DaysinAdvancetoPrintRpt": true,
      "DefinedCode": true,
      "Description": true,
      "EscrowType": true,
      "IncludeEscrowBalinPayoff": true,
      "IncludeinEscrowAnalysis": true,
      "InvoiceType": true,
      "NumberofCushionMonths": true,
      "PaymentType": true,
      "StatementDescription": true,
      "TransactionDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getEscrowTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getEscrowTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getEscrowTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getEscrowTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllEscrowTypeFields": true,
    "EscrowTypeFields": {
      "AdjustPaymentPortion": true,
      "CrEscDividendinPayoff": true,
      "DaysinAdvancetoPrintRpt": true,
      "DefinedCode": true,
      "Description": true,
      "EscrowType": true,
      "IncludeEscrowBalinPayoff": true,
      "IncludeinEscrowAnalysis": true,
      "InvoiceType": true,
      "NumberofCushionMonths": true,
      "PaymentType": true,
      "StatementDescription": true,
      "TransactionDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchEscrowTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchEscrowTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchEscrowTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchEscrowTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllEscrowTypeFields": true,
    "EscrowTypeFields": {
      "AdjustPaymentPortion": true,
      "CrEscDividendinPayoff": true,
      "DaysinAdvancetoPrintRpt": true,
      "DefinedCode": true,
      "Description": true,
      "EscrowType": true,
      "IncludeEscrowBalinPayoff": true,
      "IncludeinEscrowAnalysis": true,
      "InvoiceType": true,
      "NumberofCushionMonths": true,
      "PaymentType": true,
      "StatementDescription": true,
      "TransactionDescription": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateEscrowTypeByID⁠

POST

Execute the persistent ParameterService updateEscrowTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

EscrowTypeEscrowTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateEscrowTypeByID
POST /nexum/627/persistent/parameter/updateEscrowTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "EscrowTypeEscrowType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "EscrowTypeFields": {
    "AdjustPaymentPortion": true,
    "CrEscDividendinPayoff": true,
    "DaysinAdvancetoPrintRpt": 0,
    "DefinedCode": 0,
    "Description": "string",
    "EscrowType": 0,
    "IncludeEscrowBalinPayoff": 0,
    "IncludeinEscrowAnalysis": true,
    "InvoiceType": 0,
    "NumberofCushionMonths": 0,
    "PaymentType": 0,
    "StatementDescription": "string",
    "TransactionDescription": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}